### Function

# GLib Sequence insert_before

since: 2.14

#### Declaration

    GSequenceIter*
    g_sequence_insert_before (
      GSequenceIter* iter,
      gpointer data
    )

#### Description

Inserts a new item just before the item pointed to by `iter`.

Available since: 2.14

#### Parameters

`iter`

  Type: `GSequenceIter`

  A `GSequenceIter`.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  The data for the new item.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GSequenceIter`

An iterator pointing to the new item.

The data is owned by the called function.